=== debian/changelog ===
dune-grid (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Increase timeout for tensorgridfactorytest (took too long on sparc64).
    + new patch: increase-test-timeouts.patch
  * Remove build-dep on chrpath. It is no longer used since the switch to
    CMake in 2.5.0~rc1-1.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 18 Dec 2016 18:03:39 +0100

dune-grid (2.5.0~rc2-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release candidate.
  * Install example grids to /usr/share/dune-grid/grids.
    + New patch: example-grids-install-location.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 06 Dec 2016 00:51:02 +0100

dune-grid (2.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Use libdune-uggrid-dev instead of libug-dev.
  * Switch to CMake.
  * Bumped Standards-Version to 3.9.8 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 01 Dec 2016 18:22:38 +0100
