=== src/CMakeLists.txt ===
add_subdirectory(gridinfo-gmsh)
