=== dune/grid/test/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,8 @@
                                   GRIDTYPE=Dune::UGGrid<2>
               CMAKE_GUARD UG_FOUND)
 
+dune_add_test(SOURCES test-gridinfo.cc)
+
 dune_add_test(SOURCES test-identitygrid.cc)
 
 dune_add_test(SOURCES test-oned.cc
@@ -39,6 +41,9 @@
               TIMEOUT 300)
 
 dune_add_test(SOURCES test-loadbalancing.cc
+              CMAKE_GUARD UG_FOUND)
+
+dune_add_test(SOURCES issue-53-uggrid-intersections.cc
               CMAKE_GUARD UG_FOUND)
 
 # The alberta tests are only alibi-ported, until the  grid and world dimension
