## dune-grid 2.6.0

=== doc/grids/CMakeLists.txt ===
add_subdirectory(amc)
add_subdirectory(amiramesh)
add_subdirectory(gridfactory)
add_subdirectory(gmsh)
add_subdirectory(starcd)
add_subdirectory(dgf)
