=== dune/grid/albertagrid/CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,6 @@
   undefine-3.0.hh
   entity.hh
   entity.cc
-  entitypointer.hh
   entityseed.hh
   hierarchiciterator.hh
   algebra.hh
