=== debian/changelog ===
dune-grid (2.6.0-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:16:03 +0100

dune-grid (2.6.0-5) unstable; urgency=medium

  * Backport patch to fix float comparison on i386.
    + new patch: i386-fpu-tolerance.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Oct 2019 15:17:06 +0200

dune-grid (2.6.0-4) unstable; urgency=medium

  * Use python3-vtk7 for tests. (Closes: #942000)
    + new patch: use-python3.patch
  * Bumped Standards-Version to 4.4.1 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 09 Oct 2019 17:57:13 +0200

dune-grid (2.6.0-3) unstable; urgency=medium

  * Backport patch to fix base64 encoder on big endian.
    + new patch: 0001-fix-base64-encoder.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 21 Jun 2018 23:43:09 +0200

dune-grid (2.6.0-2) unstable; urgency=medium

  * Add a simple autopkgtest.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 21 Jun 2018 11:24:46 +0200

dune-grid (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: now requires cmake >= 3.1

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 04 Apr 2018 00:08:47 +0200

dune-grid (2.6.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * add Build-Depends: python-vtk6 to enable additional tests
  * d/control: update Vcs-* fields for move to salsa.debian.org
  * Bumped Standards-Version to 4.1.3 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 08 Jan 2018 13:02:28 +0100

dune-grid (2.6~20171113-1) experimental; urgency=medium

  * New upstream snapshot.
  * d/control: add `Rules-Requires-Root: no`
  * libdune-grid-doc: add Built-Using: doxygen (for jquery.js)
  * Bumped Standards-Version to 4.1.1 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 21 Nov 2017 09:28:01 +0100
