=== debian/control ===
--- 
+++ 
@@ -1,29 +1,31 @@
 Source: dune-grid
 Section: libs
 Priority: optional
-Standards-Version: 4.0.0
+Standards-Version: 4.4.1
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-grid.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-grid.git
+Vcs-Browser: https://salsa.debian.org/science-team/dune-grid
+Vcs-Git: https://salsa.debian.org/science-team/dune-grid.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
- cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.5.1),
- libdune-geometry-dev (>= 2.5.1),
- libdune-uggrid-dev (>= 2.5.1),
+ cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-common-dev (>= 2.6.0),
+ libdune-geometry-dev (>= 2.6.0),
+ libdune-uggrid-dev (>= 2.6.0),
  libalberta-dev (>= 2.0.1-5),
- libgmp-dev
+ libgmp-dev,
+ python3-vtk7
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures
+Rules-Requires-Root: no
 
 Package: libdune-grid-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.5.1),
- libdune-geometry-dev (>= 2.5.1),
- libdune-uggrid-dev (>= 2.5.1),
+ libdune-common-dev (>= 2.6.0),
+ libdune-geometry-dev (>= 2.6.0),
+ libdune-uggrid-dev (>= 2.6.0),
  libalberta-dev (>= 2.0.1-5)
 Suggests: libdune-grid-doc (= ${source:Version})
 Provides: ${dune:shared-library}
@@ -40,6 +42,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Built-Using: ${dune:doc:Built-Using}
 Description: toolbox for solving PDEs -- grid interface (documentation)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.
