=== debian/tests/control ===
Tests: basic
Depends:
  libdune-grid-dev,
  libdune-common-dev (>= 2.6.0-3~),
  build-essential,
  mpi-default-bin, mpi-default-dev,
Restrictions: allow-stderr
