## dune-grid 2.7.0

=== debian/changelog ===
dune-grid (2.7.0-2ubuntu1) groovy; urgency=medium

  * Reduce parallelism to 3 in arm64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Jul 2020 18:48:05 +0200

dune-grid (2.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Wed, 15 Jul 2020 12:42:38 +0200

dune-grid (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches that were applied upstream:
    - removed patch: 0001-fix-base64-encoder.patch
    - removed patch: i386-fpu-tolerance.patch
  * Use debhelper compat level 13.
  * Bumped Standards-Version to 4.5.0 (no changes).

 -- Ansgar <ansgar@debian.org>  Mon, 25 May 2020 18:43:31 +0200
