=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk
ifneq (,$(filter arm64, $(DEB_HOST_ARCH)))
    DEB_BUILD_OPTIONS=parallel=3
endif

%:
	dh $@ --builddirectory=build
