=== cmake/modules/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
   AddAlbertaFlags.cmake
   AddAmiraMeshFlags.cmake
   AddPsurfaceFlags.cmake
-  CheckExperimentalGridExtensions.cmake
   DuneGridMacros.cmake
   FindAlberta.cmake
   FindAmiraMesh.cmake
