=== src/gridinfo-gmsh/CMakeLists.txt ===
--- 
+++ 
@@ -10,13 +10,13 @@
   set(PROGRAMS ${PROGRAMS} dune-gridinfo-gmsh-alberta-3d)
 endif(ALBERTA_3D_LIB_FOUND AND ENABLE_GRID_EXTRA_UTILS)
 
-if(UG_FOUND AND ENABLE_GRID_EXTRA_UTILS)
+if(dune-uggrid_FOUND AND ENABLE_GRID_EXTRA_UTILS)
   add_executable(dune-gridinfo-gmsh-ug-2d gridinfo-gmsh-ug-2d.cc)
   add_dune_ug_flags(dune-gridinfo-gmsh-ug-2d)
   add_executable(dune-gridinfo-gmsh-ug-3d gridinfo-gmsh-ug-3d.cc)
   add_dune_ug_flags(dune-gridinfo-gmsh-ug-3d)
   set(PROGRAMS ${PROGRAMS} dune-gridinfo-gmsh-ug-2d dune-gridinfo-gmsh-ug-3d)
-endif(UG_FOUND AND ENABLE_GRID_EXTRA_UTILS)
+endif()
 
 if(PROGRAMS)
   install(TARGETS ${PROGRAMS} DESTINATION ${CMAKE_INSTALL_BINDIR})
