=== doc/grids/gridfactory/CMakeLists.txt ===
install(FILES hybridtestgrids.hh testgrids.hh
  DESTINATION ${CMAKE_INSTALL_DOCDIR}/grids/gridfactory)
