=== dune/grid/common/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
   defaultgridview.hh
   entity.hh
   entityiterator.hh
-  entitypointer.hh
   entityseed.hh
   exceptions.hh
   geometry.hh
