=== debian/changelog ===
dune-grid (2.7.1-2ubuntu1) hirsute; urgency=medium

  * Lower parallel builds on ppc64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Jan 2021 13:16:22 +0100

dune-grid (2.7.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Mon, 11 Jan 2021 22:33:42 +0100

dune-grid (2.7.1-1) experimental; urgency=medium

  * New upstream release

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Thu, 07 Jan 2021 10:11:23 +0100
