## dune-grid 2.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project("dune-grid" C CXX)
 
 # general stuff
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.13)
 
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
         "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
@@ -27,9 +27,19 @@
 add_subdirectory("src")
 add_subdirectory("cmake/modules")
 
+# if Python bindings are enabled, include necessary sub directories.
+if( DUNE_ENABLE_PYTHONBINDINGS )
+  add_subdirectory("python")
+  dune_python_install_package(PATH python)
+endif()
+
 # Use a  custom section to export path to the grid examples.
 set(DUNE_CUSTOM_PKG_CONFIG_SECTION "#Export the directory with the grid example for downstream modules
-set(DUNE_GRID_EXAMPLE_GRIDS_PATH \"@DUNE_MODULE_SRC_DOCDIR@/grids/\")
+if(${ProjectName}_INSTALLED)
+  set(DUNE_GRID_EXAMPLE_GRIDS_PATH \"\${PACKAGE_PREFIX_DIR}/${CMAKE_INSTALL_DOCDIR}/grids/\")
+else()
+  set(DUNE_GRID_EXAMPLE_GRIDS_PATH \"\${PACKAGE_PREFIX_DIR}/doc/grids/\")
+endif()
 ")
 # finalize the dune project, e.g. generating config.h etc.
 finalize_dune_project(GENERATE_CONFIG_H_CMAKE)
