=== doc/CMakeLists.txt ===
add_subdirectory(doxygen)
add_subdirectory(grids)
add_subdirectory(recipes)
