=== doc/recipes/CMakeLists.txt ===

dune_add_test(SOURCES recipe-iterate-over-grid.cc)
dune_add_test(SOURCES recipe-integration.cc)
