=== dune/python/CMakeLists.txt ===
add_subdirectory(grid)
add_subdirectory(test)
