=== python/dune/CMakeLists.txt ===
add_subdirectory(grid)

add_python_targets(dune
  __init__
)
