=== doc/grids/gmsh/CMakeLists.txt ===
--- 
+++ 
@@ -18,5 +18,6 @@
   telescope.geo
   telescope.msh
   twotets.geo
-  twotets.msh)
+  twotets.msh
+  unitcube.msh)
 install(FILES ${GRIDS} DESTINATION ${CMAKE_INSTALL_DOCDIR}/grids/gmsh)
