=== debian/changelog ===
dune-grid (2.8.0-2) unstable; urgency=medium

  * d/patches: Add patch to increase ug parallel test timeout

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Thu, 21 Oct 2021 18:22:30 +0200

dune-grid (2.8.0-1) experimental; urgency=medium

  * New upstream release.
  * d/patches: Include example-grids-install-location patch again.

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Wed, 15 Sep 2021 11:33:46 +0200

dune-grid (2.8.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: Explicitly set buildsystem to CMake
  * Removed obsolete patches.

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Fri, 20 Aug 2021 07:21:22 -0400
