=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: dune-grid
 Section: libs
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
+Uploaders: Ansgar <ansgar@debian.org>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-grid
 Vcs-Git: https://salsa.debian.org/science-team/dune-grid.git
-Homepage: http://www.dune-project.org/
-Build-Depends: debhelper (>= 9),
- cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.6.0),
- libdune-geometry-dev (>= 2.6.0),
- libdune-uggrid-dev (>= 2.6.0),
+Homepage: https://www.dune-project.org/
+Build-Depends: debhelper-compat (= 13),
+ cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-common-dev (>= 2.8.0),
+ libdune-geometry-dev (>= 2.8.0),
+ libdune-uggrid-dev (>= 2.8.0),
  libalberta-dev (>= 2.0.1-5),
  libgmp-dev,
  python3-vtk7
@@ -23,9 +23,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.6.0),
- libdune-geometry-dev (>= 2.6.0),
- libdune-uggrid-dev (>= 2.6.0),
+ libdune-common-dev (>= 2.8.0),
+ libdune-geometry-dev (>= 2.8.0),
+ libdune-uggrid-dev (>= 2.8.0),
  libalberta-dev (>= 2.0.1-5)
 Suggests: libdune-grid-doc (= ${source:Version})
 Provides: ${dune:shared-library}
